#define Perl-version.
%define perl_version %(rpm -q --qf '%%{epoch}:%%{VERSION}' perl)

Name:		irssi
Version:	0.8.6
Release: 	5mdk
Summary:	Irssi is an IRC client
License:	GPL
Group:		Networking/IRC
BuildRequires:	glib-devel ncurses-devel perl-devel
URL:		http://irssi.org/
Source:		http://irssi.org/irssi/files/irssi-%{version}.tar.bz2
Source1:	irssi-icons.tar.bz2

Requires:	perl-base = %{perl_version}
BuildRoot:	%_tmppath/%name-%version-root

%description
Irssi is a textUI IRC client with IPv6 support written by
Timo Sirainen <a@sicom.fi>.

More information can be found at http://irssi.org

%package devel
Group: Development/C
Summary: Header files and static libs for the development of irssi applications.
Requires: %{name} = %{version}

%description devel
Header files and static libs for the development of irssi applications.


%prep
%setup -q -n %name-%version
%setup -T -D -a1

%build
CFLAGS="%optflags" %configure \
			--with-plugins \
			--enable-ipv6 \
			--with-proxy \
			--with-socks \
			--with-bot \
			--with-perl-lib=${RPM_BUILD_ROOT}%{perl_vendorlib}


%make


%install
rm -rf $RPM_BUILD_ROOT
%makeinstall PREFIX="${RPM_BUILD_ROOT}%{_prefix}"

# LMDK Menu entries
mkdir -p %{buildroot}%{_iconsdir}
mkdir -p %{buildroot}%{_menudir}

cat << EOF >%{buildroot}%{_menudir}/%{name}
?package(%name): \
needs="text" \
section="Networking/IRC" \
title="Irssi" \
icon="irssi.png" \
longtitle="Console Irc Client" \
section="Networking/IRC" \
command="irssi"
EOF

# mdk icons
install -D -m 644 %{name}48.png $RPM_BUILD_ROOT%{_liconsdir}/%{name}.png
install -D -m 644 %{name}32.png $RPM_BUILD_ROOT%{_iconsdir}/%{name}.png
install -D -m 644 %{name}16.png $RPM_BUILD_ROOT%{_miconsdir}/%{name}.png


# Files that should not be installed:
rm %{buildroot}/%{perl_vendorarch}/perllocal.pod


%clean
rm -rf %buildroot


%files
%defattr (-,root,root)
%doc AUTHORS COPYING INSTALL ChangeLog README TODO NEWS
%attr(755,root,root) %{_bindir}/*
%{_datadir}/irssi
%{_docdir}/irssi/*
%{_libdir}/irssi/modules/*.so
%{_libdir}/irssi/modules/*.la
%{_libdir}/irssi/modules/*so.0.0.0
%{perl_vendorarch}/Irssi*
%{perl_vendorarch}/auto/*
%config(noreplace) /etc/irssi.conf
%{_liconsdir}/*.png
%{_miconsdir}/*.png
%{_iconsdir}/*.png
%{_menudir}/irssi
%{_mandir}/man1/irssi.1.bz2

%files devel
%defattr(-,root,root)
%doc AUTHORS COPYING INSTALL ChangeLog README TODO NEWS
%{_libdir}/irssi/modules/*.a


%post
%{update_menus}

%postun
%{clean_menus}


%changelog
* Fri Aug 01 2003 Per yvind Karlsen <peroyvind@linux-mandrake.com> 0.8.6-5mdk
- rebuild against new perl

* Wed Jul 30 2003 Pixel <pixel@mandrakesoft.com> 0.8.6-4mdk
- when requiring the perl-base used for building, include the epoch

* Thu Jul 17 2003 David BAUDENS <baudens@mandrakesoft.com> 0.8.6-3mdk
- Rebuild

* Fri Apr 25 2003 Per yvind Karlsen <peroyvind@sintrax.net> 0.8.6-2mdk
- add %{_datadir}/irssi to files list in stead of %{_datadir}/irssi/*,
  so we don't end up with unowned %{_datadir}/irssi dir
- remove gcc from BuildRequires, rpm-build already depends on it, so
  this is redundant

* Sun Nov 24 2002 Daouda LO <daouda@mandrakesoft.com> 0.8.6-1mdk
		o Fri Nov 22 2002 Han Boetes <han@linux-mandrake.com> 0.8.6-1mdk
		   - Bump
		   - Better version expando

* Sun Aug 11 2002 Pixel <pixel@mandrakesoft.com> 0.8.5-5mdk
- re-enable perl, using patch from irssi author (via Han <han@linux-mandrake.com>)

* Sun Aug 11 2002 Pixel <pixel@mandrakesoft.com> 0.8.5-4mdk
- disabling perl

* Mon Aug  5 2002 Pixel <pixel@mandrakesoft.com> 0.8.5-3mdk
- rebuild for perl thread-multi

* Tue Jul  9 2002 Pixel <pixel@mandrakesoft.com> 0.8.5-2mdk
- rebuild for perl 5.8.0

* Thu Jun 20 2002 Han Boetes <han@mijncomputer.nl> 0.8.5-1mdk
- VersionBump

* Fri Mar 22 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.8.4-1mdk
- form Han Boetes <han@mijncomputer.nl> :
	- Bump! Ouch! Sorry.
	- And now for real ... do a little cleanup :)
	- No more i18n.

* Fri Mar  1 2002 dam's <damien@mandrakesoft.com> 0.8.1-3mdk
- From Han Boetes <han@mijncomputer.nl> :
		- Add Irssi.pm to PLIST (oops)

* Mon Feb 25 2002 dam's <damien@mandrakesoft.com> 0.8.1-2mdk
- moved perllocal.pod to %{perl_vendorlib}/i386-linux/Irssi/

* Sun Feb 17 2002 Stefan van der Eijk <stefan@eijk.nu> 0.8.1-1mdk
- Bump version. (Han Boetes <han@mijncomputer.nl>)

* Sun Feb 17 2002 Stefan van der Eijk <stefan@eijk.nu> 0.8.0-1mdk
- Bump version. (Han Boetes <han@mijncomputer.nl>)
- BuildRequires

* Sat Feb 16 2002 Han Boetes <han@mijncomputer.nl> 0.7.99-0.beta1mdk
- Beta test for new version.
- Removed patch.
- Lots off little changes.

* Thu Jan 31 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.7.98.4-3mdk
- xpm -> png icons

* Wed Dec  5 2001 Stefan van der Eijk <stefan@eijk.nu> 0.7.98.4-2mdk
- fix %%files section

* Mon Oct 22 2001 dam's <damien@mandrakesoft.com> 0.7.98.4-1mdk
- From Han <han@mijncomputer.nl> :
		- updated to next version
		- menus are now installed.

* Fri Oct 12 2001 dam's <damien@mandrakesoft.com> 0.7.98.3-6mdk
- removed bad menu.

* Mon Oct 08 2001 Stefan van der Eijk <stefan@eijk.nu> 0.7.98.3-5mdk
- BuildRequires: perl-devel
- Removed redundantBuildRequires

* Mon Aug 13 2001 dam's <damien@mandrakesoft.com> 0.7.98.3-4mdk
- added devel package

* Sat Aug  4 2001 Pixel <pixel@mandrakesoft.com> 0.7.98.3-3mdk
- add require the perl-base used for building (the libperl.so auto-require is not enough)

* Sun Jun 17 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 0.7.98.3-2mdk
- Rebuild against the newest and shiniest perl 5.6.1 (dam's you suck for
  forgetting to rebuild this :) .

* Sun Apr 08 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 0.7.98.3-1mdk
- New and shiny source.

* Sun Apr 08 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 0.7.98.2-3mdk
- Use %%perl_vendorarch and %%perl_archlib.

* Sun Apr 08 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 0.7.98.2-2mdk
- Add nls support.
- Make it build much better.

* Tue Mar 6 2001 Daouda Lo <daouda@mandrakesoft.com> 0.7.98.2-1mdk
- release 0.7.98.2

* Wed Jan 03 2001 David BAUDENS <baudens@mandrakesoft.com> 0.7.97.2-2mdk
- Use optimizations

* Tue Dec 19 2000  Daouda Lo <daouda@mandrakesoft.com> 0.7.97.2-1mdk
- update 
- cleanups

* Tue Dec 5 2000 Daouda Lo <daouda@mandrakesoft.com> 0.7.97-1mdk
- update
- big changes in spec (cleanup, GTK/GNOME support dropped by the author)
- fix ncurses build dependencies
- new description
- libproplist isn't needed anymore (irssi ship his own conf lib)

* Thu Nov 16 2000 David BAUDENS <baudens@mandrakesoft.com> 0.7.96-2mdk
- Fix again build for archs <> than i386

* Mon Nov 13 2000 Daouda Lo <daouda@mandrakesoft.com> 0.7.96-1mdk
- big release ;-)
- build with bot , perl , mysql support 
- text based support
- provides all icons 
- mv from /usr/doc to /usr/share/doc

* Fri Sep 29 2000 Daouda Lo <daouda@mandrakesoft.com> 0.7.20.1-10mdk
- icons should be transparents.
- include menu entry in the body of spec file.
- more macrozifications.

* Mon Sep 25 2000 Daouda Lo <daouda@mandrakesoft.com> 0.7.20.1-9mdk
- add 32*32 icon for menu & replace gif icons format by xpm format.
 
* Wed Sep 20 2000 David BAUDENS <baudens@mandrakesoft.com> 0.7.20.1-8mdk
- %%config(noreplace)
- Remove stupid hard coded PATH in Menu entry
- Macros
- Use %%_tmppath for BuidRoot
- Spec clean up
- Remove french Description and Summary
- Fix typos in longtile (Menu entry)

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 0.7.20.1-7mdk
- automatically added BuildRequires

* Tue Apr 11 2000 Daouda Lo <daouda@mandrakesoft.com> 0.7.20.1-6mdk
- change icons
- clean spec.

* Fri Apr 04 2000 Daouda Lo <daouda@mandrakesoft.com> 0.7.20.1-5mdk
- add icons

* Sat Apr 1 2000 Daouda Lo <daouda@mandrakesoft.com> 0.7.20.1-3mdk
- add menu entry

* Sat Mar 25 2000 Daouda Lo <daouda@mandrakesoft.com> 0.7.20.1-2mdk
- group fix

* Thu Dec 02 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- 0.7.20.1

* Thu Nov 04 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- Clean up the file section (removes xmms conflict)

* Sun Oct 31 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- 0.7.18 :
    - Authors Note :
    There's still a small bug in 0.7.18 irssi, if you
    use GtkText to print text it won't scroll down
    automatically. Solution: Use irssi text widget..
- update URL & src url
- Enable SMP check/build & add bzip2 macro

* Mon Aug 23 1999 Thierry Vignaud <tvignaud@mandrakesoft.com>
- 0.7.14

* Mon Jul 26 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- Rebuild (4mdk)

* Thu Jul 15 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- --sysconfdir=/etc

* Tue May 11 1999 Alexandre Dussart <adussart@mandrakesoft.com>
- Make Mandrake compliant again

* Fri Apr 30 1999 Gal Duval <gael@linux-mandrake.com>
- lipstick

* Fri Apr 16 1999 Alexandre Dussart <adussart@mandrakesoft.com>
- Mandrake compliant
- Change Group to Internet

* Mon Mar 29 1999 JT Traub <jtraub@dragoncat.net>
- Updated to 0.7.6.
- text mode client re-added.

* Thu Mar 25 1999 JT Traub <jtraub@dragoncat.net>
- Updated sources

* Sat Mar 13 1999 JT Traub <jtraub@dragoncat.net>
- Updated to 0.7.4 sources
- Added the irssi-text bin to the package.

* Mon Feb 22 1999 JT Traub <jtraub@dragoncat.net>
- Made spec file compliant with RHCN guidelines.

* Sun Feb 13 1999 JT Traub <jtraub@dragoncat.net>
- Updated to 0.6.0 sources.
- Cleaned up spec file to make it relocatable on install

* Sun Feb 7 1999  JT Traub <jtraub@dragoncat.net>
- Updated sources to 0.5.0
- removed obsolete patch lines

* Sat Feb 3 1999  JT Traub <jtraub@dragoncat.net>
- Updated sources to 0.4.0
- Deleted old patch line

* Sat Jan 30 1999  JT Traub <jtraub@dragoncat.net>
- Updated sources to 0.3.6
- Updated spec to install the .desktop file.
- Removed the now obsolete patch lines

* Wed Jan 27 1999  JT Traub <jtraub@dragoncat.net>
- Upgraded to 0.3.5

* Sun Jan 24 1999  JT Traub <jtraub@dragoncat.net>
- First attempt at building this
